 <!-- <nz-layout> -->
<!-- <app-header></app-header> -->

<nz-layout>
  <!-- <nz-sider nzWidth="200px"  [nzTheme]="theme" nzCollapsible nzBreakpoint="xxl" [nzCollapsedWidth]="0" [(nzCollapsed)]="isCollapsed" [nzTrigger]="null"> -->
  <nz-sider nzCollapsible nzWidth="200px" nzBreakpoint="xxl" [nzCollapsedWidth]="60" [(nzCollapsed)]="isCollapsed" [nzTrigger]="null">
    <!-- <div class="logo">logo</div> -->
    <div class="flex justify-center ...">
      <div class="p-2 mt-3 rounded-full bg-indigo-500 shadow-lg shadow-indigo-500/50 w-11 h-11 outline outline-offset-4 content-center">
        <i class="fa-solid fa-bed-pulse text-2xl text-white stroke-cyan-500 text-center"></i>

      </div>
    </div>

    <ul nz-menu nzTheme="dark" nzMode="inline">
      <li>
        <li nz-menu-item>
          <span nz-icon nzType="pie-chart"></span>
          <!-- <span>Dashboard</span> -->
          
        </li>
        dddd</li>
      <!-- <li nz-menu-item routerLink="/doctor/listward" routerLinkActive="ant-menu-item-selected" (click)="closeSidebar()">
          <span nz-icon> <i class="fa-solid fa-building-user text-[20px]"></i></span>
          <span>หอผูัป่วย</span>
        </li> -->
      <li nz-submenu nzTitle="Ward" nzIcon="team" routerLink="/doctor/listward" routerLinkActive="ant-menu-item-selected">
        <ul>
          <li nz-menu-item routerLink="/doctor/list-patient" routerLinkActive="ant-menu-item-selected">Team 1</li>
          <li nz-menu-item>Team 2</li>
        </ul>
      </li>
      <li nz-menu-item routerLink="/test/swip" routerLinkActive="ant-menu-item-selected">
        <span nz-icon nzType="desktop"></span>
        <span>test</span>
      </li>

      <li nz-menu-item routerLink="/test/swip" routerLinkActive="ant-menu-item-selected">
        <span nz-icon nzType="desktop"></span>
        <span>test</span>
      </li>
      <li nz-menu-item routerLink="/test/swip" routerLinkActive="ant-menu-item-selected">
        <span nz-icon nzType="desktop"></span>
        <span>Settings</span>
      </li>

    </ul>

    <!-- <ul nz-menu  [nzTheme]="theme" nzMode="inline" class="sider-menu">
        <li nz-submenu nzOpen nzIcon="appstore-add" style="font-size: 18px;" nzTitle="ผู้ป่วยใน">
          <ul>
            <li nz-menu-item routerLink="/doctor/listward" routerLinkActive="ant-menu-item-selected" (click)="closeSidebar()">
              <span nz-icon nzType="home" nzMode="inline" style="font-size: 16px;"></span>&nbsp;หน้าหลัก
            </li>
            <li nz-menu-item routerLink="/test/swip" routerLinkActive="ant-menu-item-selected">
              <span nz-icon nzType="contacts" nzTheme="twotone"></span>&nbsp;Test
            </li>
           
          </ul>
        </li>
      </ul> -->
  </nz-sider>
  <!-- class="inner-content" -->
  <nz-layout class="inner-layout">
    <!-- bg-gradient-to-r from-sky-100 to-indigo-100 shadow-2xl drop-shadow-xl rounded-lg opacity-90 -->

    <!-- <div class="flex flex-row h-14 bg-gradient-to-b from-blue-500 to-gray-100 items-center p-6"> -->
    <div class="flex flex-row h-14 bg-gradient-to-r from-sky-100 to-indigo-100 shadow-2xl drop-shadow-xl opacity-90 items-center p-6">
      <div class="col w-full">
        <span>SMART IPD </span>
      </div>
      <div class="col w-full items-end">
        <div class="flex flex-row justify-end">
          <!-- <i class="fa-solid fa-user-lock cursor-pointer  p-3  hover:bg-white hover:rounded-full hover:border-green-700 hover:border-2"></i>      -->

          <div nz-col nzSpan="24" class="flex justify-end items-center h-full border-0 rounded-full" style="align-items: baseline;">
            <nz-button-group class="border-0 h-full rounded-full">
              <button nz-button nz-dropdown [nzDropdownMenu]="menu2" nzPlacement="bottomRight"
                class="rounded-2xl flex justify-end items-center bg-inherit text-blue-900 border-0  rounded-full hover:bg-inherit">
                <span> สวัสดีคุณ :{{user_login_name}}</span>&nbsp;
                <span nz-icon nzType="user" class="text-green-500 text-md">
                </span>
              </button>
            </nz-button-group>
            <nz-dropdown-menu #menu2="nzDropdownMenu">
              <ul nz-menu>
                <li nz-menu-item><i class="fas fa-user-edit text-green-600 text-md"></i>&nbsp;User Profies</li>
                <li nz-submenu nzTitle="Themes" nzIcon="laptop">
                  <ul>
                    <li nz-menu-item><i class="fa-regular fa-lightbulb text-black-600 text-md"></i>&nbsp;Light</li>
                    <li nz-menu-item><i class="fa-solid fa-lightbulb text-black-600 text-md"></i>&nbsp;Dark</li>
                  </ul>
                </li>
                <li nz-menu-item><i class="fas fa-power-off text-red-600 text-md" (click)="logOut()"></i>&nbsp;Log
                  Out</li>
              </ul>
            </nz-dropdown-menu>
          </div>

        </div>
      </div>

    </div>
    <div class="flex flex-row pl-5 pt-4 w-full items-center ">
      <div class="w-fit">
        <span
          class="trigger p-2 bg-slate-200 cursor-pointer mr-2"
          nz-icon
          [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"
          (click)="isCollapsed = !isCollapsed"
          style="font-size: 18px; color: rgb(1, 17, 26);"></span>
      </div>
      <div class="text-gray-500 w-16 items-center align-middle cursor-pointer" (click)="navigateHome()">หน้าหลัก </div>
      <div class="w-fit text-gray-500">/&nbsp;&nbsp;</div>
      <div class="w-full border-b-2">
        <nz-breadcrumb [nzAutoGenerate]="true"></nz-breadcrumb>
      </div>
    </div>

    <router-outlet></router-outlet>

    <app-footer></app-footer>

  </nz-layout>
</nz-layout>
<!-- </nz-layout> -->
<!-- 
<nz-layout>
  <nz-sider nzCollapsible nzWidth="200px">
    <div class="logo"></div>
    <ul nz-menu nzTheme="dark" nzMode="inline">
      <li nz-menu-item>
        <span nz-icon nzType="pie-chart"></span>
        <span>Option 1</span>
      </li>
      <li nz-menu-item>
        <span nz-icon nzType="desktop"></span>
        <span>Option 2</span>
      </li>

    </ul>
  </nz-sider>
  <nz-layout>
    <app-header></app-header>
    <nz-content>
      <div class="flex flex-row pl-5 pt-4 w-full align-middle">
        <div class="w-fit">
          <span
            class="trigger p-2 bg-slate-200 cursor-pointer mr-2"
            nz-icon
            [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"
            (click)="isCollapsed = !isCollapsed"
            style="font-size: 18px; color: rgb(1, 17, 26);"></span>
        </div>
        <div class="w-full border-b-2">
          <nz-breadcrumb [nzAutoGenerate]="true"></nz-breadcrumb>
        </div>
      </div>
      <div class="inner-content">
        <router-outlet></router-outlet>

      </div>
    </nz-content>
    <app-footer></app-footer>
  </nz-layout>
</nz-layout> -->